/*
 * Copyright (C) 2008 The Trustees of Columbia University in the City of New York. 
 * All rights reserved.
 *
 * See the file LICENSE included in this distribution for details.
 */

#ifndef _CHORD_DIST_H
#define _CHORD_DIST_H


#include "distance.h"

class ChordDist : public Distance {

 public:
  ChordDist();
  //virtual ~ChordDist();
  ~ChordDist();

  //virtual int32 getKeyAt(uint32 iPos, BigInt& objKey);
  int32 getKeyAt(uint32 iPos, BigInt& objKey);
  int32 getClockwise(BigInt dest, BigInt& diff);		//sets diff to the clockwise distance from base to dest
};

#endif
